<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 6;

$sightsArray = array();

$longName = 'Belegte Kurse';
$tool_id = 20;
$toolName = 'TnBelegteKurse';
$toolNameBasis = 'Basis';

$sight = new SightItemTool();
$sight->name = 'Filter-Dialog';
$sight->id = 'FilterKursUebersicht';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Kursübersicht';
$sight->view = new \Kufer\KuferTools\Basis\KursUebersicht\ShowFilterKursUebersicht\ShowFilterKursUebersichtView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Alle Termine';
$sight->id = 'AlleTermine';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\AlleTermine\AlleTermineView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Terminplan';
$sight->id = 'Terminplan';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Terminplan\TerminplanView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'ICS-Kalender Dialog';
$sight->id = 'IcsAuswahl';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Ics\IcsAuswahlView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kursdetails Seite';
$sight->id = 'Kursdetails';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\KursDetails\KursDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter 1. Seite (Belegungsdetails)';
$sight->id = 'ReiterBelegungsdetails';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\BelegungsDetails\BelegungsDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Kursdetails';
$sight->id = 'ReiterKursdetails';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\KursDetails\KursDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Inhalt';
$sight->id = 'ReiterInfo';
$sight->showNoData = false;
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Info\InfoView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Termine';
$sight->id = 'ReiterTermine';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->group = 'Reiter Termine';
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminReiterView(null);
array_push($sightsArray, $sight);

if (\DBWorkBASysSettings::isInlinguaMuenchen()) {
  $sight = new SightItemTool();
  $sight->name = 'Termin Stornieren Dialog';
  $sight->id = 'TerminStornierenDialog';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->showBody = false;
  $sight->showFooter = false;
  $sight->showNoData = false;
  $sight->nameHeader = 'Termin verschieben/absagen';
  $sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminStornierenDialog\TerminStornierenDialogView(null);
  array_push($sightsArray, $sight);

  $sight = new SightItemTool();
  $sight->name = 'Termin Stornieren E-Mail';
  $sight->id = 'TerminStornierenEMail';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->nameNoData = 'Betreff';
  $sight->view = new Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminStornierenDialog\TerminStornierenAbsendenEMailView(null);
  array_push($sightsArray, $sight);

  $sight = new SightItemTool();
  $sight->name = 'Kursverlängerung Dialog';
  $sight->id = 'TerminVerlaengernDialog';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->showFooter = false;
  $sight->showNoData = false;
  $sight->nameHeader = 'Termin verlängern';
  $sight->nameBody = 'Termin Verlängerungswunsch';
  $sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\TerminVerlaengernDialogView(null);
  array_push($sightsArray, $sight);

  $sight = new SightItemTool();
  $sight->name = 'Kursverlängerung Dialog';
  $sight->id = 'TerminVerlaengernDialogKontrolle';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->showNoData = false;
  $sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\Kontrolle\TerminVerlaengernAbsendenKontrolleView(null);
  array_push($sightsArray, $sight);

  $sight = new SightItemTool();
  $sight->name = 'Kursverlängerung mit abweichenden Kurstagen Dialog';
  $sight->id = 'TerminVerlaengernAbweichendeKurstageDialog';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->showNoData = false;
  $sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\AbweichendeKurstage\TerminVerlaengernDialogView(null);
  array_push($sightsArray, $sight);

  $sight = new SightItemTool();
  $sight->name = 'Kursverlängerung E-Mail';
  $sight->id = 'TerminVerlaengernEMail';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->nameNoData = 'Betreff';
  $sight->view = new Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\TerminVerlaengernAbsendenEMailView(null);
  array_push($sightsArray, $sight);

  $sight = new SightItemTool();
  $sight->name = 'Kursverlängerungswunsch E-Mail';
  $sight->id = 'TerminVerlaengerungswunschEMail';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->nameNoData = 'Betreff';
  $sight->view = new Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\Wunsch\TerminVerlaengernAbsendenEMailView(null);
  array_push($sightsArray, $sight);
}

if (\DBWorkBASysSettings::isKoelnAksAkademieSteuern()) {
  $sight = new SightItemTool();
  $sight->name = 'Termin Verschieben Wunsch Dialog';
  $sight->id = 'TerminVerschiebenWunschDialog';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->nameFooter = 'Termine';
  $sight->nameNoData = 'Fußzeile';
  $sight->showNoColumn = true;
  $sight->nameNoColumn = 'Fehler';
  $sight->view = new Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerschiebenWunschDialog\TerminVerschiebenWunschDialogView(null);
  array_push($sightsArray, $sight);

  $sight = new SightItemTool();
  $sight->name = 'Termin Verschieben Wunsch gesendet E-Mail';
  $sight->id = 'TerminVerschiebenWunschAbsendenEMail';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->nameNoColumn = 'Betreff';
  $sight->showNoColumn = true;
  $sight->view = new Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerschiebenWunschDialog\TerminVerschiebenWunschAbsendenEMailView(null);
  array_push($sightsArray, $sight);

  $sight = new SightItemTool();
  $sight->name = 'Termin Verschieben Wunsch gesendet';
  $sight->id = 'TerminVerschiebenWunschAbsenden';
  $sight->toolid = $toolName;
  $sight->toolGroup = $toolName;
  $sight->group = 'Reiter Termine';
  $sight->view = new Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerschiebenWunschDialog\TerminVerschiebenWunschAbsendenView(null);
  $sight->nameHeader = 'Erfolg';
  $sight->nameBody = 'Fehler';
  $sight->showFooter = false;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);
}

$sight = new SightItemTool();
$sight->name = 'Termin';
$sight->id = 'Termine';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Reiter Termine';
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter Termine';
$sight->id = 'FilterTermine';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Reiter Termine';
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\ShowFilterTermine\ShowFilterTermineView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Anwesenheiten';
$sight->id = 'ReiterAnwesenheiten';
$sight->toolid = 'TnBelegteKurse';
$sight->toolGroup = $toolName;
$sight->group = 'Reiter Anwesenheiten';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Anwesenheiten\AnwesenheitenReiterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Anwesenheiten';
$sight->id = 'Anwesenheiten';
$sight->toolid = 'TnBelegteKurse';
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Reiter Anwesenheiten';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Anwesenheiten\AnwesenheitenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter Anwesenheiten';
$sight->id = 'FilterAnwesenheiten';
$sight->toolid = 'TnBelegteKurse';
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Reiter Anwesenheiten';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Anwesenheiten\ShowFilterAnwesenheiten\ShowFilterAnwesenheitenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Downloads';
$sight->id = 'ReiterDownloads';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->group = 'Reiter Downloads';
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Downloads\DownloadReiterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Downloads';
$sight->id = 'Downloads';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Reiter Downloads';
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Downloads\DownloadView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Dokumente';
$sight->id = 'Dokumente';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->group = 'Reiter Dokumente';
$sight->view = new \Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Dokumente\DokumenteView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Dokumente Upload';
$sight->id = 'DokumenteUpload';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->group = 'Reiter Dokumente';
$sight->view = new \Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Dokumente\DokumenteUpload\DokumenteUploadFormularView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Dokumente Upload E-Mail An Einrichtung';
$sight->id = 'DokumenteUploadEmailAnEinrichtung';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showBody = false;
$sight->group = 'Reiter Dokumente';
$sight->view = new \Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Dokumente\DokumenteUpload\InfoMailAnEinrichtungView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Fotos';
$sight->id = 'ReiterFotos';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Fotos\FotosView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Journal';
$sight->id = 'ReiterJournal';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Reiter Journal';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Journal\JournalReiterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Journal View';
$sight->id = 'Journal';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Reiter Journal';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Journal\JournalView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Journal Filter';
$sight->id = 'JournalFilter';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Reiter Journal';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Journal\ShowFilterJournal\ShowFilterJournalView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter Weitere Infos';
$sight->id = 'ReiterBelegungsdetailsBearbeitbar';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\BelegungsInfoBearbeiten\BelegungsInfoBearbeitenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Feedbackformular';
$sight->id = 'Feedbackformular';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Feedbackformular';
$sight->view = new \Kufer\KuferTools\Ausgaben\Feedback\FeedbackFormularView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Feedback versandt';
$sight->id = 'FeedbackVersendet';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->nameNoColumn = 'Fehlermeldungen';
$sight->showNoColumn = true;
$sight->showNoData = false;
$sight->group = 'Feedbackformular';
$sight->view = new \Kufer\KuferTools\Basis\KursDetails\Feedback\SendFeedbackView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Info an Dozent Formular';
$sight->id = 'InfoAnDoz';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\InfoAnDoz\InfoAnDozView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Info an Dozent versandt';
$sight->id = 'InfoAnDozVersandt';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoColumn = true;
$sight->nameNoColumn = 'Fehlermeldungen';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\InfoAnDoz\SendInfoAnDozView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Abmeldung';
$sight->id = 'StornoTn';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Abmeldung';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Storno\StornoView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Abmeldung Bestätigungsseite';
$sight->id = 'StornoTnBestaetigung';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Abmeldung';
$sight->showNoData = false;
$sight->showNoColumn = true;
$sight->nameNoColumn = 'Fehlermeldungen';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Storno\HandleStornoView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Abmeldung E-Mail an Einrichtung (automatisch)';
$sight->id = 'StornoTnBestaetigungEinrichtungEMailEinfach';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Abmeldung';
$sight->nameBody = $sight->nameHeader;
$sight->nameHeader = 'Betreff';
$sight->nameNoData = $sight->nameFooter;
$sight->nameFooter = 'Warteliste';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Storno\HandleStornoEMailEinfachView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Abmeldung E-Mail an Einrichtung (manuell)';
$sight->id = 'StornoTnBestaetigungEinrichtungEMailPerMail';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Abmeldung';
$sight->nameBody = $sight->nameHeader;
$sight->nameHeader = 'Betreff';
$sight->nameNoData = $sight->nameFooter;
$sight->nameFooter = 'Gründe';
$sight->view = new \Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Storno\HandleStornoEMailPerMailView(null);
array_push($sightsArray, $sight);